hosc-0.15: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell98

Sound.OSC.Coding.Decode.Binary

Description

Optimised decode function for OSC packets.

Synopsis

- getPacket :: Get Packet
- decodePacket :: ByteString -> Packet
- decodePacket_strict :: ByteString -> Packet

# Documentation

getPacket :: Get Packet Source #

Get an OSC `Packet`.

decodePacket :: ByteString -> Packet Source #

Decode an OSC packet from a lazy ByteString.

    let b = B.pack [47,103,95,102,114,101,101,0,44,105,0,0,0,0,0,0]
    in decodeOSC b == Message "/g_free" [Int 0]

decodePacket_strict :: ByteString -> Packet Source #

Decode an OSC packet from a strict ByteString.